## MMCallProperties

MMCallProperties — Helper object to handle CALL properties.

## Functions

MMCallProperties * | mm_call_properties_new ()
const gchar * | mm_call_properties_get_number ()
void | mm_call_properties_set_number ()

## Types and Values

struct | MMCallProperties

## Object Hierarchy

        GObject
        ╰── MMCallProperties

## Description

The MMCallProperties is an object handling the properties to be set in newly created CALL objects.

This object is created by the user and passed to ModemManager with either `mm_modem_voice_create_call()` or `mm_modem_voice_create_call_sync()`.

## Functions

### mm_call_properties_new ()

    MMCallProperties *
    mm_call_properties_new (void);

Creates a new empty MMCallProperties.

#### Returns

a MMCallProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.6

### mm_call_properties_get_number ()

    const gchar *
    mm_call_properties_get_number (MMCallProperties *self);

Gets the number, in UTF-8.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call number, or `NULL` if it doesn't contain any (anonymous caller). Do not free the returned value, it is owned by `self` .

Since: 1.6

### mm_call_properties_set_number ()

    void
    mm_call_properties_set_number (MMCallProperties *self,
                                   const gchar *text);

Sets the call number.

#### Parameters

self | A MMCallProperties. |
text | The number to set, in UTF-8. |

Since: 1.6

## Types and Values

### struct MMCallProperties

    struct MMCallProperties;

The MMCallProperties structure contains private data and should only be accessed using the provided API.